### Function

# Pangobreak

deprecated: 1.44

#### Declaration [src]

    void
    pango_break (
      const char* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

Determines possible line, word, and character breaks for a string of Unicode text with a single analysis.

For most purposes you may want to use `pango_get_log_attrs()`.

Deprecated since: 1.44

Use `pango_default_break()`, `pango_tailor_break()` and `pango_attr_break()`.

#### Parameters

`text`

  Type: `const char*`

  The text to process. Must be valid UTF-8

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length of `text` in bytes (may be -1 if `text` is nul-terminated)

`analysis`

  Type: `PangoAnalysis`

  `PangoAnalysis` structure for `text`.

  The data is owned by the caller of the function.

`attrs`

  Type: An array of `PangoLogAttr`

  An array to store character information in.

  The length of the array is specified in the `attrs_len` argument.
  The data is owned by the caller of the function.

`attrs_len`

  Type: `int`

  Size of the array passed as `attrs`.